Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.util
Class VcardLight

    java.lang.Object
      be.fedict.eid.applet.service.util.VcardLight

    public class VcardLight

extends Object

A light implementation of VCard 3.0

Author:
  Bart Hanssens
See Also:
  `http://www.ietf.org/rfc/rfc2426.txt`

Field Summary
`static String` | `MIME_TYPE`

Constructor Summary
`VcardLight(OutputStream outStream)` Constructor

Method Summary
`void` | `addAddress(String streetNo, String zip, String municipality)` Add the citizen's home address
`void` | `addBorn(Date birthday)` Add day of birth
`void` | `addImage(byte[] image)` Add an image (photo)
`void` | `addName(String firstName, String middleName, String name)` Add the name info
`void` | `close()` End of the vCard
`void` | `open()` Start the VCard

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIME_TYPE

    public static final String MIME_TYPE

See Also:
  Constant Field Values

Constructor Detail

### VcardLight

    public VcardLight(OutputStream outStream)

  Constructor

  Parameters:
    `outStream` -

Method Detail

### open

    public void open()

  Start the VCard

### addName

    public void addName(String firstName,
                        String middleName,
                        String name)

  Add the name info

  Parameters:
    `firstName` - first name
    `middleName` - middle name, if any
    `name` - last name

### addAddress

    public void addAddress(String streetNo,
                           String zip,
                           String municipality)

  Add the citizen's home address

  Parameters:
    `streetNo` - street and number
    `zip` - zip code
    `municipality` - name of the municipality / city

### addBorn

    public void addBorn(Date birthday)

  Add day of birth

  Parameters:
    `birthday` -

### addImage

    public void addImage(byte[] image)
                  throws IOException

  Add an image (photo)

  Parameters:
    `image` - photo
  Throws:
    `IOException`

### close

    public void close()

  End of the vCard

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.